| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
oyranos_generic.h File Reference
`#include "oyOptions_s.h"`
`#include "oyStructList_s.h"`

## Data Structures
struct | oyObjectInfoStatic_s
| a static object More...

## Functions
const char * | oyContextCollectData_ (oyStruct_s *s, oyOptions_s *opts, oyStructList_s *ins, oyStructList_s *outs)
| Describe a transform uniquely. More...

## Detailed Description

[Template file inheritance graph] +– oyranos_generic.template.h

Oyranos is an open source Colour Management System

Copyright:
  2004-2012 (C) Kai-Uwe Behrmann

Author
  Kai-Uwe Behrmann ku.b@.nosp@m.gmx..nosp@m.de

License:
  new BSD - see: http://www.opensource.org/licenses/bsd-license.php

Date
  2012/10/08

## Function Documentation

const char* oyContextCollectData_ | ( | oyStruct_s * | s,
|  | oyOptions_s * | opts,
|  | oyStructList_s * | ins,
|  | oyStructList_s * | outs
| ) |  |

Describe a transform uniquely.

Public function definitions { Function oyContextCollectData_

References oyNAME_NAME, oyNAME_NICK, oyOptions_s::oyOptions_GetText(), and oyStructList_s::oyStructList_GetID().

Referenced by oyFilterNode_s::oyFilterNode_GetText().